---
title: GitHub Integration
sidebar:
  label: GitHub
description: Learn how to integrate GitHub with GetSphere
---

import { Steps, Aside } from "@astrojs/starlight/components";

Connecting GitHub with GetSphere enables seamless tracking of various community activities within your repositories. By integrating these platforms, you can automatically collect and analyze data on stars, forks, issues, pull requests, discussions, and comments, ensuring you stay up-to-date with the latest interactions and contributions. Your repository activity is captured in real-time, providing comprehensive insights into your project's engagement and development. Follow the straightforward steps below to set up this integration.

## Data

**Activities:**

- Stars/Un-stars
- Forks
- Issues
- Pull requests
- Discussions
- Comments on issues/pull requests/discussions
- Closing of issues/pull requests/discussions

**Historical Import:**

- No limitations

**Refresh Period:**

- Instant (maximum a few seconds)

## Installation
<Aside>
  <p>GetSphere requires admin permissions to install the GitHub integration. If you are not an admin, you will need to ask an admin to install it for you. 
  If you are not a GitHub admin, see [setting up without admin permissions](#set-up-without-admin-permissions) below.</p>
</Aside>

To connect GitHub with GetSphere, watch this video, or follow the steps outlined below:

#### Set-up with Admin Permissions

<Steps>
  1. Go to the [Integration settings](https://app.getsphere.dev/integrations) and find GitHub and click **Connect**. 

  2. Choose the workspace you want to connect. 

  3. Select the repositories in the workspace that you want to connect.

  4. Click **Install & Authorize**.
</Steps>

That's it! We're now collecting all community activities from your connected repositories, including pull requests, issues, stars, and forks.

#### Set-up without Admin Permissions

If you are an organization member, you will most likely need your admin's approval to set up the integration with GetSphere. To do this successfully, follow these steps:

<Steps>
1. **Invite the GitHub Organization Admin to GetSphere**

   Navigate to [Users & Permissions](https://app.getsphere.dev/settings?activeTab=users), click on **Invite**, and follow the instructions to invite the GitHub organization owner with an admin role.

2. **Ask the GitHub Organization Owner to Sign Up to GetSphere**

   They will receive an email invitation to your GetSphere workspace. By clicking the link in the email, they will be directed to a sign-up page where they can join your workspace.

3. **Complete GitHub Integration**
   Ask them to visit the Integration page and re-initiate the GitHub setup process. With the appropriate permissions, it will work seamlessly for them.
</Steps>

That's it!
